config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.cgmanager.new
preserve_perms etc/rc.d/rc.cgproxy.new

( cd usr/sbin ; rm -rf cgm-release-agent )
( cd usr/sbin ; ln -sf /usr/libexec/cgmanager/cgm-release-agent cgm-release-agent )
( cd usr/lib64 ; rm -rf libcgmanager.so.0 )
( cd usr/lib64 ; ln -sf libcgmanager.so.0.0.0 libcgmanager.so.0 )
( cd usr/lib64 ; rm -rf libcgmanager.so )
( cd usr/lib64 ; ln -sf libcgmanager.so.0.0.0 libcgmanager.so )
